cURL
curl --request POST \
--url https://api.pricenow.dev/api/checkout/{checkoutId}/payment \
--header 'Content-Type: application/json' \
--header 'accept-language: <accept-language>' \
--header 'pratiq-channel-uuid: <pratiq-channel-uuid>' \
--data '
{
"payment": {
"intent": "new",
"redirectUrls": {
"success": "<string>",
"error": "<string>",
"cancel": "<string>"
},
"saveAlias": {},
"options": {
"PAP": {
"fraudSessionId": "<string>"
}
}
}
}
'import requests
url = "https://api.pricenow.dev/api/checkout/{checkoutId}/payment"
payload = { "payment": {
"intent": "new",
"redirectUrls": {
"success": "<string>",
"error": "<string>",
"cancel": "<string>"
},
"saveAlias": {},
"options": { "PAP": { "fraudSessionId": "<string>" } }
} }
headers = {
"accept-language": "<accept-language>",
"pratiq-channel-uuid": "<pratiq-channel-uuid>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'accept-language': '<accept-language>',
'pratiq-channel-uuid': '<pratiq-channel-uuid>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
payment: {
intent: 'new',
redirectUrls: {success: '<string>', error: '<string>', cancel: '<string>'},
saveAlias: {},
options: {PAP: {fraudSessionId: '<string>'}}
}
})
};
fetch('https://api.pricenow.dev/api/checkout/{checkoutId}/payment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"redirectUrl": "<string>"
}
}checkout
Post apicheckout payment
Create a new payment for a checkout
POST
/
api
/
checkout
/
{checkoutId}
/
payment
cURL
Headers
Language of the response
Available options:
en, de, fr, it UUID of the sales channel
Opaque idempotency key for the request
Path Parameters
Body
application/json
- Option 1
- Option 2
Show child attributes
Show child attributes
Response
200 - application/json
Successful response
Show child attributes
Show child attributes
⌘I

